<h1 class="mt-3">Pipe <small>Angular</small></h1>
<hr>

<div class="row">
    <div class="col"></div>

    <table class="table">
        <thead class="thead-dark">
            <tr>
                <th> Variable</th>
                <th>Pipe</th>
                <th>Salida</th>
            </tr>

        </thead>

        <tbody>
            <tr>
                <td>{{ nombre2 }}</td>
                <td> capitalizado </td>
                <td>{{ nombre2 | capitalizado }}</td>
            </tr>

            <tr>
                <td>{{ nombre2 }}</td>
                <td> capitalizado: false </td>
                <td>{{ nombre2 | capitalizado: false }}</td>
            </tr>

            <tr>
                <td>{{ nombre }}</td>
                <td> uppercase </td>
                <td>{{ nombre | uppercase }}</td>
            </tr>
            <tr>
                <td>{{ nombre }}</td>
                <td> lowercase </td>
                <td>{{ nombre | lowercase }}</td>
            </tr>
            <tr>
                <td>{{ nombre }}</td>
                <td> slice:3 </td>
                <td>{{ nombre | slice:3 }}</td>
            </tr>
            <tr>
                <td>{{ nombre }}</td>
                <td> slice:0:3 </td>
                <td>{{ nombre | slice:0:3 }}</td>
            </tr>
            <tr>
                <td>{{ personajes }}</td>
                <td> slice:1:5 </td>
                <td>{{ personajes | slice:1:5 }}</td>
            </tr>
            <tr>
                <td>{{ PI }}</td>
                <td> number </td>
                <td>{{ PI | number }}</td>
            </tr>
            <tr>
                <td>{{ PI }}</td>
                <td> number:'3.0-0' </td>
                <td>{{ PI | number:'3.0-0' }}</td>
            </tr>
            <tr>
                <td>{{ PI }}</td>
                <td> number:'.0-2' </td>
                <td>{{ PI | number:'.0-2' }}</td>
            </tr>
            <tr>
                <td>{{ porcentaje }}</td>
                <td> percent </td>
                <td>{{ porcentaje | percent }}</td>
            </tr>
            <tr>
                <td>{{ porcentaje }}</td>
                <td> percent:'2.2-2' </td>
                <td>{{ porcentaje | percent:'2.2-2' }}</td>
            </tr>
            <tr>
                <td>{{ salario }}</td>
                <td> currency </td>
                <td>{{ salario | currency }}</td>
            </tr>
            <tr>
                <td>{{ salario }}</td>
                <td> currency:'PEN' </td>
                <td>{{ salario | currency:'PEN' }}</td>
            </tr>
            <tr>
                <td>{{ salario }}</td>
                <td> currency:'S/' </td>
                <td>{{ salario | currency:'S/' }}</td>
            </tr>
            <tr>
                <td>{{ salario }}</td>
                <td> currency:'CAD':'symbol' </td>
                <td>{{ salario | currency:'CAD':'symbol' }}</td>
            </tr>
            <tr>
                <td>{{ salario }}</td>
                <td> currency:'CAD':'symbol':'.0-0' </td>
                <td>{{ salario | currency:'CAD':'symbol':'.0-0' }}</td>
            </tr>

            <tr>
                <td>{{ valorPromesa }}</td>
                <td> async (asincronofinal)</td>
                <td>{{ valorPromesa | async }}</td>
            </tr>

            <tr>
                <td>{{ fecha }}</td>
                <td> date</td>
                <td>{{ fecha | date }}</td>
            </tr>

            <tr>
                <td>{{ fecha }}</td>
                <td> date:'medium' </td>
                <td>{{ fecha | date:'medium' }}</td>
            </tr>

            <tr>
                <td>{{ fecha }}</td>
                <td> date:'short' </td>
                <td>{{ fecha | date:'short' }}</td>
            </tr>

            <tr>
                <td>{{ fecha }}</td>
                <td> date:'MMMM-dd' </td>
                <td>{{ fecha | date:'MMMM-dd' }}</td>
            </tr>

            <tr>
                <td>{{ fecha }}</td>
                <td> date:'MMMM-dd':'':'es-PE' </td>
                <td>{{ fecha | date:'MMMM-dd':'':'es-PE' }}</td>
            </tr>

            <tr>
                <td>{{ fecha }}</td>
                <td> date:'MMMM-dd':'':'{{ idioma }}'
                    <br>
                    <button (click)="idioma='es-PE'" class="mr-1 btn btn-primary">Espanol</button>
                    <button (click)="idioma='fr-BE'" class="mr-1 btn btn-secondary">Frances</button>
                    <button (click)="idioma='en'" class="mr-1 btn btn-success">Ingles</button>
                </td>
                <td>{{ fecha | date:'MMMM-dd':'':idioma }}</td>
            </tr>

            <tr>
                <td>{{ nombre }}</td>
                <td> contrasena: {{ activar }}
                    <br>
                    <button (click)="activar = !activar" class="btn btn-outline-primary">
                        Activar / Desactivar
                    </button>

                </td>
                <td>{{ nombre | password: activar }}</td>
            </tr>



        </tbody>
    </table>

</div>

<h4>Slice</h4>
<br>
<ul>
    <li *ngFor="let personaje of personajes | slice:1:4">{{ personaje }}</li>
</ul>


<h3>JSON</h3>
<hr>
<div class="row mb-5">
    <div class="col">
        <pre>
            {{ heroe | json }}
        </pre>

    </div>
</div>

<h3>Video</h3>
<hr>
<div class="mt-5">
    <div>
        <iframe width="560" height="315" [src]="videoUrl | domseguro" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen>
        </iframe>
    </div>
</div>